curl --request GET \
--url https://public-api.stora.co/2025-09/price_adjustments \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/price_adjustments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/price_adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"price_adjustments": [
{
"id": "pradj_195h6kfm9ro15lof",
"adjust_on": "2025-04-03",
"adjustment": null,
"applies_to": {
"products": false,
"protection_levels": true,
"unit_types": true
},
"created_at": "2025-02-22T14:41:00Z",
"estimation": {
"post_amount": {
"amount": 11000,
"currency": "GBP",
"formatted": "£110.00"
},
"pre_amount": {
"amount": 10000,
"currency": "GBP",
"formatted": "£100.00"
}
},
"invoice": null,
"notification": {
"notice_period": 30,
"scheduled_at": "2025-03-04",
"sent_at": null
},
"percentage": 10,
"status": "pending",
"subscription": {
"id": "sub_f7d4fea53ccdefe0"
},
"updated_at": "2025-02-22T14:41:00Z"
}
],
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
],
"pagination": {
"count": 1,
"last": 1,
"limit": 50,
"next": null,
"page": 1,
"pages": 1,
"prev": null
}
}
}List all Price Adjustments
Retrieve a list of all price adjustments.
Required authorization scope: public.price_adjustment:read
Authorizations
Bearer Token necessary to use API
Query Parameters
Pagination: Page number
x >= 1Pagination: Limit number of items per page.
1 <= x <= 100Sorting by attribute. Default created_at
created_at, updated_at, adjust_on Sorting by ASC or DESC direction. Default DESC
ASC, DESC Filter by Subscription IDs. Supports multiple values separated by a comma.
This endpoint supports expandable responses. For more, see the documentation page.
Filter by status. Supports multiple values separated by a comma.
draft, pending, processing, adjusted, invoiced, cancelled, failed Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to adjust after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to adjust before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Was this page helpful?